org.richfaces.fragment.message

## Class AbstractMessage

- java.lang.Object
- - org.richfaces.fragment.message.AbstractMessage

- All Implemented Interfaces:
    AdvancedInteractions<Message.AdvancedMessageInteractions>, Message
  Direct Known Subclasses:
    RichFacesMessage, RichFacesMessages.MessageImpl, RichFacesNotifyMessage

      public abstract class AbstractMessage
      extends Object
      implements Message, AdvancedInteractions<Message.AdvancedMessageInteractions>

  Abstract base for message component.
  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AbstractMessage.AdvancedMessageInteractionsImpl`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.message.Message

      `Message.AdvancedMessageInteractions, Message.MessageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMessage()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract String` | `getCssClass(Message.MessageType type)`
    `String` | `getDetail()` Gets the detail part of the message.
    `String` | `getSummary()` Gets the summary part of the message.
    `Message.MessageType` | `getType()` Gets the message severity.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.common.AdvancedInteractions

      `advanced`

- - ### Constructor Detail

    - #### AbstractMessage

          public AbstractMessage()

  - ### Method Detail

    - #### getCssClass

          protected abstract String getCssClass(Message.MessageType type)

    - #### getDetail

          public String getDetail()

      Description copied from interface: `Message`
      Gets the detail part of the message.
      Specified by:
        `getDetail` in interface `Message`
      Returns:
        the message detail

    - #### getSummary

          public String getSummary()

      Description copied from interface: `Message`
      Gets the summary part of the message.
      Specified by:
        `getSummary` in interface `Message`
      Returns:
        the message summary

    - #### getType

          public Message.MessageType getType()

      Description copied from interface: `Message`
      Gets the message severity.
      Specified by:
        `getType` in interface `Message`
      Returns:
        the message type which represents the severity

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.